<?
namespace admin\controls;

class LoginRestriction
{
    public function getContent()
    {
		global $sys;

		$rw = $sys -> formGet( 'rw' );

		if ( $rw == 'edit' )
		{
			$id = $sys -> formGet( 'id' );
			return \admin\view\LoginRestriction::edit( $id );
		}
		else if ( $rw == 'add' )
		{
			return \admin\view\LoginRestriction::add();
		}
		else
		{
			if ( $rw == 'del' )
			{
				$id 	= $sys -> formGetInt( 'id' );
				\admin\factory\LoginRestriction::delete( $id );
			}
			return \admin\view\LoginRestriction::show();
		}
	}
}
?>